Bug 847228 - [abrt] rapid-photo-downloader-0.4.3-1.fc17: rapid.py:297:button_clicked:TypeError: 'NoneType' object is not iterable
[abrt] rapid-photo-downloader-0.4.3-1.fc17: rapid.py:297:button_clicked:TypeE...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rapid-photo-downloader (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fabian Affolter
Fedora Extras Quality Assurance
abrt_hash:63789aef25430eb0d5f7ee7574f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-10 03:56 EDT by kiran
Modified: 2012-11-24 10:43 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-24 10:43:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description kiran 2012-08-10 03:56:44 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        /usr/bin/python /usr/bin/rapid-photo-downloader
executable:     /usr/bin/rapid-photo-downloader
kernel:         3.5.0-2.fc17.i686
time:           Fri 10 Aug 2012 10:50:08 AM AST
uid:            1000
username:       kiran

backtrace:
:rapid.py:297:button_clicked:TypeError: 'NoneType' object is not iterable
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/rapid/rapid.py", line 297, in button_clicked
:    path, column, cell_x, cell_y = self.get_path_at_pos(x, y)
:TypeError: 'NoneType' object is not iterable
:
:Local variables in innermost frame:
:y: 310
:x: 733
:widget: <DeviceCollection object at 0x91f1eb4 (GtkTreeView at 0x937eda0)>
:event: <gtk.gdk.Event at 0x91dbfb0: GDK_BUTTON_PRESS x=733.00, y=310.00, button=1>
:self: <DeviceCollection object at 0x91f1eb4 (GtkTreeView at 0x937eda0)>

smolt_data:
:
:
:General
:=================================
:UUID: 0eec0470-810d-4d99-a75a-554088ee2e09
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: i686
:BogoMIPS: 4322.91
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Pentium(R) Dual  CPU  T3400  @ 2.16GHz
:CPU Stepping: 13
:CPU Family: 6
:CPU Model Num: 15
:Number of CPUs: 2
:CPU Speed: 2166
:System Memory: 2901
:System Swap: 4959
:Vendor: TOSHIBA
:System: Satellite A300 PSAG8E-04V005AR
:Form factor: Notebook
:Kernel: 3.5.0-2.fc17.i686
:SELinux Enabled: 0
:SELinux Policy: targeted
:SELinux Enforce: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10816:4473:65310) pci, agpgart-intel, HOST/PCI, Mobile 4 Series Chipset Memory Controller Hub
:(32902:10544:4473:65310) pci, i801_smbus, SERIAL, 82801I (ICH9 Family) SMBus Controller
:(32902:10537:4473:65310) pci, ahci, STORAGE, ICH9M/M-E SATA AHCI Controller
:(32902:10521:4473:65310) pci, None, PCI/ISA, ICH9M LPC Interface Controller
:(4332:33078:4473:65310) pci, r8169, ETHERNET, RTL8101E/RTL8102E PCI Express Fast Ethernet controller
:(32902:10549:4473:65310) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #2
:(32902:9288:4473:65310) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:10553:4473:65310) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #6
:(32902:10550:4473:65310) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #3
:(32902:10554:4473:65310) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #1
:(32902:10556:4473:65310) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #2
:(5772:28:5199:28968) pci, ath5k, ETHERNET, WLL3141 (Toshiba PA3613U-1MPC) 802.11bg Wireless Adapter
:(32902:10818:4473:65311) pci, i915, VIDEO, Mobile 4 Series Chipset Integrated Graphics Controller
:(32902:10819:4473:65311) pci, None, VIDEO, Mobile 4 Series Chipset Integrated Graphics Controller
:(32902:10560:4473:65310) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 1
:(32902:10562:4473:65310) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 2
:(32902:10568:4473:65310) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 5
:(32902:10558:4473:65310) pci, snd_hda_intel, MULTIMEDIA, 82801I (ICH9 Family) HD Audio Controller
:(4480:2098:4473:65310) pci, firewire_ohci, FIREWIRE, R5C832 IEEE 1394 Controller
:(4480:2082:4473:65310) pci, sdhci-pci, BASE, R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter
:(32902:10548:4473:65310) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #1
:(4480:1426:4473:65310) pci, r592, BASE, R5C592 Memory Stick Bus Host Adapter
:(32902:10551:4473:65310) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #4
:(4480:2130:4473:65310) pci, None, BASE, xD-Picture Card Controller
:(32902:10552:4473:65310) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #5
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_kiran-lv_root / ext4 4096 4096 13091009 11492041 11360991 3276800 3127699 3127699
:/dev/sda1 /boot ext4 1024 1024 508644 403416 377816 128016 127661 127661
:/dev/mapper/vg_kiran-lv_home /home ext4 4096 4096 46477631 41216551 38889614 11640832 11631797 11631797
:
Comment 1 Fabian Affolter 2012-11-24 10:43:14 EST
rapid-photo-downloader 0.4.5 is available for some time now. Please update.

Note You need to log in before you can comment on or make changes to this bug.